<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$modelo=$sessao->getVar('controle');
$preenchimento=$sessao->getVar('controle1');
$objetoCalculoEnxuto = new calculosEnxuto(); //calcula todos valores finais
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
echo ("finalidade= $finalidade<br>");
$enquadramento=$finalidade;
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$sqlSeletor=$sessao->getVar('controle5');


//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf

			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margem=$margemEsquerda;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 

			//aqi imprime O ULTIMO..
			//$matrizLargura[13]=70;
     		$pdf->setXY(239,$cota1);
			$largura=$matrizLargura[13];
			$larguraTexto=ceil($largura*.7);
			$texto=$matrizTitulo[13];
			$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		    $pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome


            //NOME DOS PATORGENOS(vai aqui o nome e se precisar so mexe aqui)
			$nomePato[1]='Aspergillus flavus';
			$nomePato[2]='Aspergillus niger';
			$nomePato[3]='Aspergillus sp';
			$nomePato[4]='Cercospora kikuchii';
			$nomePato[5]='Colletotrichum truncatum';
			$nomePato[6]='Fusarium graminearum';
			$nomePato[7]='Fusarium semitectum';
			$nomePato[8]='Fusarium spp';
			$nomePato[9]='Phomophis sp';
			$nomePato[10]='Bacteria';
			$nomePato[11]='Sclerotinia sclerotiorum';
			$nomePato[12]='Sclerotium rolfsii';

            //cria o array conteudo################################################33
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			//echo $finalidade;
			$generica->extras_select =$sqlSeletor;
        
			$generica->selecionaCamposEspecial($generica);
			$contador=1;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
				$amostraLong=$resgenerica->fic_id;
			    //$vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
				$vetorAmostraBruto=$objetoCalculoEnxuto->capturaGeralAmostra($amostraLong);//captura TUDO 
                $tzo=$vetorAmostraBruto[104];
                $eac=$vetorAmostraBruto[39];
                $pms=$vetorAmostraBruto[38];
                $germinacao=$vetorAmostraBruto[3];
                $pureza=$vetorAmostraBruto[4];
                $purezaMI=$vetorAmostraBruto[18];
                $purezaOS=$vetorAmostraBruto[17];
                $duras=$vetorAmostraBruto[12];

				
				
				
    
                $matrizConteudo[$contador][1]=str_pad($resgenerica->fic_amostra, 4, "0", STR_PAD_LEFT).'/'.date("y",strtotime($resgenerica->fic_dt_entrada));
                $matrizConteudo[$contador][2]=$resgenerica->fic_lote;
                $matrizConteudo[$contador][3]=$resgenerica->esp_nome;
                $matrizConteudo[$contador][4]=$resgenerica->ctv_nome;
                $matrizConteudo[$contador][5]=$resgenerica->prd_nome;
                $matrizConteudo[$contador][6]=$resgenerica->prd_municipio;
                $matrizConteudo[$contador][7]=$resgenerica->prd_uf;
				$matrizConteudo[$contador][8]=$pureza;//pureza
                $matrizConteudo[$contador][9]=$purezaMI;
                $matrizConteudo[$contador][10]=$purezaOS;
                $matrizConteudo[$contador][11]=$germinacao;//germinacao
                $matrizConteudo[$contador][12]=$duras;
                $matrizConteudo[$contador][13]=$eac;//
                $matrizConteudo[$contador][14]=$pms;//


                ////////captura a maioria dos resultados tirando do campo rea_campo100//////////
				//aqui pega os paramentros do campo rea_campo100
				$user = new rean1();
				$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
			    $user->selecionaTudo($user);
				while($res = $user->retornaDados()):
				    $campo100=$res->rea_campo100;//este campo traz os dados do calculo de tz 
			    endwhile;		
			    list($cc1, $cc2, $cc3,$cc4, $cc5, $cc6, $cc7, $cc8, $cc9, $cc10, $cc11, $cc12, $cc13, $cc14, $cc15, $cc16, $cc17, $cc18, $cc19, $cc20, $cc21, $cc22, $cc23, $cc24, $cc25, $cc26, $cc27, $cc28, $cc29, $cc30, $cc21, $cc32, $cc33, $cc34, $cc35, $cc36, $cc37, $cc38) = explode("*", $campo100);
				$viabilidade=$cc10;
				$semViabilidade=100-$viabilidade;
				$vigor=$cc11;
				$semVigor=100-$vigor;
				$totalM=$cc1;// danos mecanico m18
				$totalU=$cc4;// danos umidade u18
				$totalP=$cc7;// danos percevejo p18
				$perdaM=$cc3;// morta por mecanico
				$perdaU=$cc6;// morta por umidade
				$perdaP=$cc9;// morta por percevejo
				$maisAlto=$cc15;//classe 1
				$alto=$cc16;//classe 2
				$medio=$cc17;//classe 3
				$baixo=$cc36;//calsse 4
				$muitoBaixo=$cc38;//classe 5

                ////////final da captura dos dasdos do campo rea_campo100
                $matrizConteudo[$contador][15]=$viabilidade;//
                $matrizConteudo[$contador][16]=$vigor;//
                $matrizConteudo[$contador][17]=$maisAlto;//
                $matrizConteudo[$contador][18]=$alto;//
                $matrizConteudo[$contador][19]=$medio;//
                $matrizConteudo[$contador][20]=$baixo;//
                $matrizConteudo[$contador][21]=$muitoBaixo;//
                $matrizConteudo[$contador][22]=$semViabilidade;//
                $matrizConteudo[$contador][23]=$totalM;//
                $matrizConteudo[$contador][24]=$totalU;//
                $matrizConteudo[$contador][25]=$totalP;//
                $matrizConteudo[$contador][26]=$perdaM;//
                $matrizConteudo[$contador][27]=$perdaU;//
                $matrizConteudo[$contador][28]=$perdaP;//
                $matrizConteudo[$contador][29]=$cc14;//ANOMALIA GENETICA/VERDE/EMBRIONARIA NA VERDADE CLASSE 8
                $matrizConteudo[$contador][30]=$cc12;//dura


 
    //aqui vai pegar os patogenos e colocar no relatorio
	$genericaPat=new tabelagenerica();
	$genericaPat->tabela="listapatogenosamostra,listapatogenos";
	$genericaPat->campos_valores = array(
			"lip_nome_cientifico" => NULL,
			"lpa_valor" => NULL,
			"lpa_id" => NULL,
		);
	$genericaPat->extras_select ="  where lpa_id_patogeno=lip_id and lpa_id_amostra=".$amostraLong." order by lip_nome_cientifico";
    $genericaPat->selecionaCampos($genericaPat);
    
	while ($resgenericaPat = $genericaPat->retornaDados()):
        if($resgenericaPat->lip_nome_cientifico==$nomePato[1])$matrizConteudo[$contador][31]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[2])$matrizConteudo[$contador][32]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[3])$matrizConteudo[$contador][33]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[4])$matrizConteudo[$contador][34]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[5])$matrizConteudo[$contador][35]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[6])$matrizConteudo[$contador][36]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[7])$matrizConteudo[$contador][37]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[8])$matrizConteudo[$contador][38]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[9])$matrizConteudo[$contador][39]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[10])$matrizConteudo[$contador][40]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[11])$matrizConteudo[$contador][41]= number_format($resgenericaPat->lpa_valor);//
        if($resgenericaPat->lip_nome_cientifico==$nomePato[12])$matrizConteudo[$contador][42]= number_format($resgenericaPat->lpa_valor);//


    endwhile;
    //fim dos patogenos
    //captura dados da quimica item 42 em diante
	$matrizQuimica=$objetocalculo->leMatrizQuimica($amostraLong);
    $matrizConteudo[$contador][43]=$matrizQuimica[1][1];
    $matrizConteudo[$contador][44]=$matrizQuimica[1][2];
    $matrizConteudo[$contador][45]=$matrizQuimica[1][3];
    $matrizConteudo[$contador][46]=$matrizQuimica[1][4];
    $matrizConteudo[$contador][47]=$matrizQuimica[1][5];
    $matrizConteudo[$contador][48]=$matrizQuimica[1][6];
    $matrizConteudo[$contador][49]=$matrizQuimica[1][7];
    $matrizConteudo[$contador][50]=$matrizQuimica[1][8];
    $matrizConteudo[$contador][51]=$matrizQuimica[1][9];
    $matrizConteudo[$contador][52]=$matrizQuimica[1][10];
    $matrizConteudo[$contador][53]=$matrizQuimica[1][11];
    $matrizConteudo[$contador][54]=$matrizQuimica[1][12];
    $matrizConteudo[$contador][55]=$matrizQuimica[1][13];
	
	
	
	
                $amostraLong=$resgenerica->fic_id;
				

			    $contador++;
                //if($contador>30)break;
			endwhile; 
			$totalPaginas=ceil($contador/30);//arredonda para cima

			
			//	$pdf->Cell($largura,5,"xxxxxxxxxxxxxxx" .$contador ." limite=". $limite,1,0,'L');//lab nome		
//agora imprime	o corpo		
//o indice vai permitir eu imprimir na ordem que eu quiser e inclusive suprimir linhas	
			//se a pessoa quer imprimir um protocolo vazio(para documentação da qualidade)
			if($preenchimento=="branco"):
               $contador=0;
			endif;
			
            //para cada modelo defino as larguras e os titulos. Suprimo as colunas que nao usar
			//com isso ja consigo que ele me mostre so o que eu realmente quero no livro
			//no vetor indices eu digo quais as colunas e em que posicao relativa
			$larguraGeral=5;
			$matrizLargura[1]=14;$matrizTitulo[1]='Amostra';
			$matrizLargura[2]=$larguraGeral; $matrizTitulo[2]='Lote';//era 18
			$matrizLargura[3]=$larguraGeral; $matrizTitulo[3]='Especie';//era 18
			$matrizLargura[4]=$larguraGeral; $matrizTitulo[4]='Cultivar';//era 18
			$matrizLargura[5]=$larguraGeral; $matrizTitulo[5]='Requerente';//era 18
			$matrizLargura[6]=$larguraGeral; $matrizTitulo[6]='Municipio';//era 18
			$matrizLargura[7]=$larguraGeral; $matrizTitulo[7]='UF';//era 18
			$matrizLargura[8]=$larguraGeral; $matrizTitulo[8]='Pureza';//era37
			$matrizLargura[9]=$larguraGeral; $matrizTitulo[9]='m.inerte';//era 18
			$matrizLargura[10]=$larguraGeral; $matrizTitulo[10]='O.Sem';//era 18
			$matrizLargura[11]=$larguraGeral; $matrizTitulo[11]='Germinacao';//era25
			$matrizLargura[12]=$larguraGeral; $matrizTitulo[12]='Duras';//era 18
			$matrizLargura[13]=$larguraGeral; $matrizTitulo[13]='EA';//era25
			$matrizLargura[14]=$larguraGeral; $matrizTitulo[14]='PMS';
			$matrizLargura[15]=$larguraGeral; $matrizTitulo[15]='Viabilidade';
			$matrizLargura[16]=$larguraGeral; $matrizTitulo[16]='Vigor';//renasem do requerente
			$matrizLargura[17]=$larguraGeral; $matrizTitulo[17]='Mais Alto';
			$matrizLargura[18]=$larguraGeral; $matrizTitulo[18]='Alto';
			$matrizLargura[19]=$larguraGeral; $matrizTitulo[19]='Medio';
			$matrizLargura[20]=$larguraGeral; $matrizTitulo[20]='Baixo';
			$matrizLargura[21]=$larguraGeral; $matrizTitulo[21]='Muito baixo';
			$matrizLargura[22]=$larguraGeral; $matrizTitulo[22]='Não viavel';
			$matrizLargura[23]=$larguraGeral; $matrizTitulo[23]='M18';
			$matrizLargura[24]=$larguraGeral; $matrizTitulo[24]='U18';
			$matrizLargura[25]=$larguraGeral; $matrizTitulo[25]='P18';
			$matrizLargura[26]=$larguraGeral; $matrizTitulo[26]='M68';
			$matrizLargura[27]=$larguraGeral; $matrizTitulo[27]='U68';
			$matrizLargura[28]=$larguraGeral; $matrizTitulo[28]='P68';
			$matrizLargura[29]=$larguraGeral; $matrizTitulo[29]='AG';
			$matrizLargura[30]=$larguraGeral; $matrizTitulo[30]='D';
			$matrizLargura[31]=$larguraGeral; $matrizTitulo[31]=$nomePato[1];
			$matrizLargura[32]=$larguraGeral; $matrizTitulo[32]=$nomePato[2];
			$matrizLargura[33]=$larguraGeral; $matrizTitulo[33]=$nomePato[3];
			$matrizLargura[34]=$larguraGeral; $matrizTitulo[34]=$nomePato[4];
			$matrizLargura[35]=$larguraGeral; $matrizTitulo[35]=$nomePato[5];
			$matrizLargura[36]=$larguraGeral; $matrizTitulo[36]=$nomePato[6];
			$matrizLargura[37]=$larguraGeral; $matrizTitulo[37]=$nomePato[7];
			$matrizLargura[38]=$larguraGeral; $matrizTitulo[38]=$nomePato[8];
			$matrizLargura[39]=$larguraGeral; $matrizTitulo[39]=$nomePato[9];
			$matrizLargura[40]=$larguraGeral; $matrizTitulo[40]=$nomePato[10];
			$matrizLargura[41]=$larguraGeral; $matrizTitulo[41]=$nomePato[11];
			$matrizLargura[42]=$larguraGeral; $matrizTitulo[42]=$nomePato[12];
			$matrizLargura[43]=$larguraGeral; $matrizTitulo[43]='N';
			$matrizLargura[44]=$larguraGeral; $matrizTitulo[44]='K';
			$matrizLargura[45]=$larguraGeral; $matrizTitulo[45]='P';
			$matrizLargura[46]=$larguraGeral; $matrizTitulo[46]='Ca';
			$matrizLargura[47]=$larguraGeral; $matrizTitulo[47]='Mg';
			$matrizLargura[48]=$larguraGeral; $matrizTitulo[48]='S';
			$matrizLargura[49]=$larguraGeral; $matrizTitulo[49]='B';
			$matrizLargura[50]=$larguraGeral; $matrizTitulo[50]='Cu';
			$matrizLargura[51]=$larguraGeral; $matrizTitulo[51]='Fe';
			$matrizLargura[52]=$larguraGeral; $matrizTitulo[52]='Mn';
			$matrizLargura[53]=$larguraGeral; $matrizTitulo[53]='Zn';
			$matrizLargura[54]=$larguraGeral; $matrizTitulo[54]='Na';
			$matrizLargura[55]=$larguraGeral; $matrizTitulo[55]='Mo';


			$limite=sizeof($matrizLargura);
			//cria 13 posicoes para usar com set xy
			$distancia=$margem;
			for($i=1;$i<=$limite;$i++):
               $posicoes[$i]=	$distancia;		
			   $distancia+=$matrizLargura[$i];
			endfor;
			

		    $cinza=230;
			$pdf->SetFillColor($cinza,$cinza,$cinza); 
			$pdf->SetFont('Arial','',7);	
			$contadorLinhasPagina=0;
			
			
			//cria a tabela que vai exportar para excel
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			 $tabela .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '</tr>';
			 $tabela .= '<tr>';
			 for($je=1;$je<=$limite;$je++):
				$tabela .= '<td>'.utf8_decode($matrizTitulo[$je]).'</td>';
			 endfor;
			 //so para ver como adiciona as colunas...hihihi
			 //$tabela .= '<td><b>Nome</b></td>';
			 //$tabela .= '<td><b>Email</b></td>';
			 $tabela .= '</tr>';
			 $vetorNormas=$objetocalculo->capturaNormas("Protocolo","Padrao",$idLabo);
             $pagina=$vetorNormas[2]-1;//vai digitar o numero da pagina que deseja que saia na seeuencia

			$contadorLinhasPagina=0;
			for($i=1;$i<=$contador;$i++):
			    $cota1+=4.5;
			    //imprime o timbrado
                //se o contador é igual a 0, imprime o timbrado  
				if($contadorLinhasPagina==0):
				    $pdf->AddPage();//adicionando a primera pafina 
					$pagina++;
					$cota1=4.5;
					$pdf->Rect($margemEsquerda,$cota1,$larguraUtil-3,20,'FD');//sintaxe do rect  (x,y,largura,altura'fill draw'	

                    //$pdf->SetFont('Times','',7);
			        //cabecalho
				 	$posicaoCab1=60;$posicaoCab2=245;
		            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		            $pdf->Image($caminhoFinal,11,7,24,12,'JPG');
					$cota1=5;			
					$pdf->SetFont('Arial','B',10);
					$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode('Laboratório de Análise de Sementes'),0,1,'C');
	     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode('FORMULÁRIO dimiqui'),0,1,'C');//lab nome
	     			$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode('LIVRO DE PROTOCOLO'),0,1,'C');//lab nome
					 $posicaoNorma=248;
					 $pdf->SetFont('Arial','',7);
					 $pdf->Rect($posicaoNorma,5,40,15);
					 $pdf->setXY($posicaoNorma,5);  $pdf->Cell(40,4,utf8_decode("Identificação:".$vetorNormas[1]),0,0);
					 $pdf->setXY($posicaoNorma,9);  $pdf->Cell(40,4,utf8_decode("Página:".$pagina.'/'.$anoCorrente),0,0);
					 $pdf->setXY($posicaoNorma,13);  $pdf->Cell(40,4,utf8_decode("Data Emissão:".$vetorNormas[3]),0,0);
			 
			 
             $pdf->SetFont('Arial','',7);

		            //aqui imprime a linha de cabecalho //posso negrita/ colocar hachurrado etc 
		            $cota1=$cota1+21;
					$pdf->setXY($margemEsquerda,$cota1-7);
					//$pdf->Cell(50,5,utf8_decode('Ano:'.$anoCorrente),1,0,'L',1);//lab nome
		            $pdf->Rect($margemEsquerda,$cota1,$larguraUtil-3,10,'FD');//sintaxe do rect  (x,y,largura,altura'fill draw'	
					//imprime casuismo da amostra		
					$pdf->setXY($posicoes[1],$cota1+1);$pdf->Cell($matrizLargura[1],4,utf8_decode('Amostra'),0,0,'C');
		     		$pdf->setXY($margemEsquerda,$cota1+5);$pdf->Cell($matrizLargura[1],4,utf8_decode('Nº'),0,0,'C');

					//aqi imprime varios que sao normais...
		     		$pdf->setXY($margemEsquerda+$matrizLargura[1],$cota1);
					for($j=2;$j<=$limite;$j++):
						$largura=$matrizLargura[$j];
						$larguraTexto=ceil($largura*.7);
						$texto=$matrizTitulo[$j];
						$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		     			$pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome
					endfor;
     				$cota1=36;
                    ////////////////////////

					
				endif;//aqui encerra o if que controla o contador de paginas e imprime cabecalho e dao salto de pagina




			
			    //negritar linhas de cores alternadas
				$file=0;  
			    if($i % 2 == 0):
				    $file=1;
			    endif;	
				
					
				$pdf->setXY($margemEsquerda,$cota1);
	            $tabela .= '<tr>';
                for($j=1;$j<=$limite;$j++): 
					$largura=$matrizLargura[$j];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$i][$j];
					$tabela .= '<td>'.$texto.'</td>';
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
				    $pdf->Cell($largura,4.5,utf8_decode($texto),1,0,'C',$file);//lab nome
                endfor;
		        $tabela .= '</tr>';
				///////////vai colocar o rodape//////////////////////////
				
			    $contadorLinhasPagina++;
				//para forcar sair a assinatura toda vez que troca o numero de pagina
				if($contadorLinhasPagina==25):
				   $contadorLinhasPagina=0;
                endif;
				if($contadorLinhasPagina==0)://colocar 30 depois
				   //SETOR DO RODAPE
					$cotaR1=190;
					//terminou de imprimir resultado agora vi para observacoes tecico e assinatura
				     $cota4=150;
				     $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
				     $cota7=$cota4;
					 $cotaLinha=$cota4;
				     $pdf->setXY(150,$cota7-10);
					 $base[4][3]=$vetorTecnico[1];
					 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
					 $base[6][3]=$vetorTecnico[7];// seria o cargo?
					 $pdf->SetXY(150,$cota7);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
				     $pdf->Line(150,$cota7+25,250,$cota7+25);//linha separadora horizontal
					 $pdf->SetXY(150,$cota7+26);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+31);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+36);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	
					$pdf->SetFont('Arial','',7);
				endif;
				//////////////////////////////
            endfor;
			
		   $tabela .= '</table>';
		   $sessao->setVar('controleExcel',$tabela);
   				
				/////////////
			//endfor;
//vai imprimir na nultima pagina
				   //SETOR DO RODAPE
                 //vai fazer a pergunta se contador linhaspagina >0 para que nao imrpruma duas vezes o rodape
				 if($contadorLinhasPagina>0):
					$cotaR1=190;
					//terminou de imprimir resultado agora vi para observacoes tecico e assinatura
				     $cota4=150;
				     $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
				     $cota7=$cota4;
					 $cotaLinha=$cota4;
				     $pdf->setXY(150,$cota7-10);
					 $base[4][3]=$vetorTecnico[1];
					 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
					 $base[6][3]=$vetorTecnico[7];// seria o cargo?
					 $pdf->SetXY(150,$cota7);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
				     $pdf->Line(150,$cota7+25,250,$cota7+25);//linha separadora horizontal
					 $pdf->SetXY(150,$cota7+26);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+31);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+36);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	
					$pdf->SetFont('Arial','',7);
                 endif;





			
			
			ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
